Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.calculator
Class Token

    java.lang.Object
      org.statcato.calculator.Token

    public class Token

extends java.lang.Object

A token in a mathematical expression accepted by the Statcato calculator.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Field Summary
`static int` | `ADD`
`static int` | `COLUMN`
`static int` | `CONSTANT`
`static int` | `DIVIDE`
`static int` | `FUNCTION`
`static int` | `LAST`
`static int` | `LEFTPAREN`
`static int` | `MULTIPLY`
`static int` | `NEGATE`
`static int` | `NUMBER`
`static int` | `POWER`
`static int` | `QUOTE`
`static int` | `RIGHTPAREN`
`static java.lang.String[]` | `STRINGS` Array of string representations of the tokens.
`static int` | `SUBTRACT`
`static int` | `UNDEFINED`
`static int` | `VARIABLE`

Constructor Summary
`Token()`

Method Summary
`static java.lang.String` | `toString(int i)` Returns the string representation of the given token type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNDEFINED

    public static final int UNDEFINED

See Also:
  Constant Field Values

### ADD

    public static final int ADD

See Also:
  Constant Field Values

### SUBTRACT

    public static final int SUBTRACT

See Also:
  Constant Field Values

### MULTIPLY

    public static final int MULTIPLY

See Also:
  Constant Field Values

### DIVIDE

    public static final int DIVIDE

See Also:
  Constant Field Values

### POWER

    public static final int POWER

See Also:
  Constant Field Values

### NEGATE

    public static final int NEGATE

See Also:
  Constant Field Values

### LEFTPAREN

    public static final int LEFTPAREN

See Also:
  Constant Field Values

### RIGHTPAREN

    public static final int RIGHTPAREN

See Also:
  Constant Field Values

### NUMBER

    public static final int NUMBER

See Also:
  Constant Field Values

### FUNCTION

    public static final int FUNCTION

See Also:
  Constant Field Values

### COLUMN

    public static final int COLUMN

See Also:
  Constant Field Values

### VARIABLE

    public static final int VARIABLE

See Also:
  Constant Field Values

### CONSTANT

    public static final int CONSTANT

See Also:
  Constant Field Values

### QUOTE

    public static final int QUOTE

See Also:
  Constant Field Values

### LAST

    public static final int LAST

See Also:
  Constant Field Values

### STRINGS

    public static final java.lang.String[] STRINGS

  Array of string representations of the tokens.

Constructor Detail

### Token

    public Token()

Method Detail

### toString

    public static java.lang.String toString(int i)

  Returns the string representation of the given token type.

  Parameters:
    `i` - token type
  Returns:
    string representation of the given token type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD